
Name:           smartmontools
Version:        7.3
Release:        %mkrel 1
Summary:	SMARTmontools - for monitoring S.M.A.R.T. disks and devices
License:	GPL
Group:		System/Kernel and hardware
URL:            http://smartmontools.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Source0:	http://heanet.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.xz
Source1:    smartd
Source2:	smartd.conf
Obsoletes:	smartsuite
Provides:	smartsuite
Requires(post):	rpm-helper
Requires(preun): rpm-helper

%description 
SMARTmontools controls and monitors storage devices using the
Self-Monitoring, Analysis and Reporting Technology System (S.M.A.R.T.)
built into ATA and SCSI Hard Drives. This is used to check the
reliability of the hard drive and predict drive failures. The suite
contains two utilities.  The first, smartctl, is a command-line
utility designed to perform simple S.M.A.R.T. tasks. The second,
smartd, is a daemon that periodically monitors smart status and
reports errors to syslog.  The package is compatible with the
ATA/ATAPI-5 specification.  Future releases will be compatible with
the ATA/ATAPI-6 and ATA/ATAPI-7 specifications.  The package is
intended to incorporate as much "vendor specific" and "reserved"
information as possible about disk drives.  man smartctl and man
smartd will provide more information.

%prep
%setup -q
%apply_patches

autoreconf -vfi

%build
%configure2_5x \
	--with-libcap-ng=yes \
	--with-drivedbdir=yes \
	--with-libsystemd=no \
	--with-systemdsystemunitdir=no \
	--with-systemdenvfile=no

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install %{SOURCE2} $RPM_BUILD_ROOT/etc/smartd.conf
mkdir -p $RPM_BUILD_ROOT/%_docdir/%name-%version

install -Dm 0755 %SOURCE1 %buildroot/etc/rc.d/init.d/smartd

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service smartd

%preun
%_preun_service smartd


%files
%defattr(-,root,root)
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/smartd.conf
%{_sysconfdir}/smartd_warning.sh
%{_initrddir}/smartd
%{_sbindir}/*
%{_mandir}/man?/*
%{_docdir}/%{name}
%{_datadir}/%{name}/drivedb.h


%changelog
* Mon Jan 23 2023 onkelho <oh.quait at gmail.com> - 7.3-1pclos2023
- new version releaased:  - source:Apr 14, 2022
 
* Thu Oct 15 2020 tex - 7.1-1pclos2020
- 7.1

* Fri Dec 22 2017 ghostbunny <ghostbunny at gmx dot de> 6.6-1pclos2017
- 6.6

* Fri Sep 15 2017 bb2 <bb2> - 6.5-2pclos2017
- rebuild new gcc

* Sat May 21 2016 ghostbunny <ghostbunny at gmx dot de> 6.5-1pclos2016
- 6.5

* Tue Jul 28 2015 ghostbunny <ghostbunny at gmx dot de> 6.4-1pclos2015
- 6.4

* Tue Jul 30 2013 Texstar <texstar at gmail.com> 6.2-1pclos2013
- 6.2

* Wed Mar 20 2013 ghostbunny <ghostbunny at gmx dot de> 6.1-1pclos2013
- 6.1

* Tue Jul 19 2011 pinoc <vogtpet at gmail.com> 5.41-1pclos2011
- 5.41
- renamed spec-file to default

